/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreview.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.persistence.TreeEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.io.FileInputStream;
import java.io.InputStream;

/**
 * 复核标准Entity
 * @author ssrh
 * @version 2018-06-01
 */
public class WorkReviewStandard extends TreeEntity<WorkReviewStandard>{
	
	private static final long serialVersionUID = 1L;
	private String standardDetail;		// 标准内容
	private String parentIds;		// 所有父ID
	private Byte maxDeduct;		// 最多扣分
	private String orderNum;		// 排序
	private String companyId;   //公司id
	private String type;
    private Integer proofread; //是否是校核

	public WorkReviewStandard() {
		super();
	}

	public WorkReviewStandard(String id){
		super(id);
	}

	@ExcelField(title="标准内容", align=2, sort=8)
	public String getStandardDetail() {
		return standardDetail;
	}

	public void setStandardDetail(String standardDetail) {
		this.standardDetail = standardDetail;
	}
	
	@ExcelField(title="所有父ID", align=2, sort=9)
	public String getParentIds() {
		return parentIds;
	}

	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}
	
	@ExcelField(title="最多扣分", align=2, sort=10)
	public Byte getMaxDeduct() {
		return maxDeduct;
	}

	public void setMaxDeduct(Byte maxDeduct) {
		this.maxDeduct = maxDeduct;
	}
	
	@ExcelField(title="排序", align=2, sort=11)
	public String getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(String orderNum) {
		this.orderNum = orderNum;
	}

    public WorkReviewStandard getParent() {
        return parent;
    }

    public void setParent(WorkReviewStandard parent) {
        this.parent = parent;
    }

    public int getGrade(){
        String[] split = this.getParentIds().split(",");
        return split.length-1;
    }

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

    public Integer getProofread() {
        return proofread;
    }

    public void setProofread(Integer proofread) {
        this.proofread = proofread;
    }

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}